# $hhour

Indicates whether the current minute is in the first or second half of the hour.

This property belongs to the Time-Related System Properties group.

Name:

  $hhour

Category:

  Time-Related System Properties

Type:

  integer

## Description

The current half hour we are in. From minute 0 to 29, this is always 0 while from 30 to 59 it is always 1.

## Usage

    template(name="example" type="list") {
        property(name="$hhour")
    }

## See also

See rsyslog Properties for the category overview.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.